> For the complete documentation index, see [llms.txt](https://docs.compliance.phalcon.blocksec.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.compliance.phalcon.blocksec.com/zh-hant/api-documentation/customer/get-a-customer-detail.md).

# 取得客戶詳情

## 获取客户风险画像

> 获取客户级风险概览、关联实体与告警信息。

```json
{"openapi":"3.0.0","info":{"title":"Compliance API","version":"2.0.0"},"tags":[{"name":"客户","description":"客户画像与关联管理 API。"}],"servers":[{"url":"https://api.blocksec.com/phalcon/compliance/v2","description":"生产环境服务器"}],"security":[{"API-Key":[]}],"components":{"securitySchemes":{"API-Key":{"type":"apiKey","in":"header","name":"API-Key"}},"schemas":{"CustomerResult":{"type":"object","properties":{"customerId":{"type":"string","description":"客户唯一标识。"},"riskLevel":{"type":"integer","description":"客户风险等级。"},"riskLevelDescription":{"type":"string","description":"风险等级说明。"},"addressCount":{"type":"integer","description":"与该客户关联的地址数量。"},"totalBalance":{"type":"string","description":"客户地址总余额。"},"transactionCount":{"type":"integer","description":"与该客户关联的交易数量。"},"totalDeposit":{"type":"string","description":"客户交易总入金。"},"totalWithdrawal":{"type":"string","description":"客户交易总出金。"},"addresses":{"type":"array","description":"与该客户关联的地址列表。","items":{"$ref":"#/components/schemas/CustomerAddress"}},"transactions":{"type":"array","description":"与该客户关联的交易列表。","items":{"$ref":"#/components/schemas/CustomerTransaction"}},"alerts":{"type":"array","description":"与该客户关联的告警列表。","items":{"$ref":"#/components/schemas/AlertData"}}}},"CustomerAddress":{"type":"object","properties":{"addressId":{"type":"string","description":"地址唯一标识。"},"address":{"type":"string","description":"地址。"},"chainId":{"type":"string","description":"链 ID。关于所有支持的链及对应 chain ID，请查看：[https://docs.compliance.phalcon.blocksec.com/zh/api-documentation/introduction/supported-chains](https://docs.compliance.phalcon.blocksec.com/zh/api-documentation/introduction/supported-chains)。"},"riskLevel":{"type":"integer","description":"地址风险等级。"},"riskLevelDescription":{"type":"string","description":"风险等级说明。"}}},"CustomerTransaction":{"type":"object","properties":{"transactionId":{"type":"string","description":"交易唯一标识。"},"txHash":{"type":"string","description":"交易哈希。"},"chainId":{"type":"string","description":"链 ID。关于所有支持的链及对应 chain ID，请查看：[https://docs.compliance.phalcon.blocksec.com/zh/api-documentation/introduction/supported-chains](https://docs.compliance.phalcon.blocksec.com/zh/api-documentation/introduction/supported-chains)。"},"value":{"type":"string","description":"交易金额。"},"riskLevel":{"type":"integer","description":"交易风险等级。"},"riskLevelDescription":{"type":"string","description":"风险等级说明。"},"direction":{"type":"integer","description":"交易方向。"},"transfers":{"type":"array","description":"与该交易关联的转账列表。","items":{"$ref":"#/components/schemas/CustomerTransactionTransfer"}}}},"CustomerTransactionTransfer":{"type":"object","properties":{"txHash":{"type":"string","description":"交易哈希。"},"chainId":{"type":"string","description":"链 ID。关于所有支持的链及对应 chain ID，请查看：[https://docs.compliance.phalcon.blocksec.com/zh/api-documentation/introduction/supported-chains](https://docs.compliance.phalcon.blocksec.com/zh/api-documentation/introduction/supported-chains)。"},"riskLevel":{"type":"integer","description":"该转账的风险等级。"},"riskLevelDescription":{"type":"string","description":"风险等级说明。"},"value":{"type":"string","description":"该转账的价值。"},"direction":{"type":"integer","description":"该转账的方向。"}}},"AlertData":{"type":"object","properties":{"alertId":{"type":"string","description":"告警唯一标识。"},"description":{"type":"string","description":"告警描述。"},"firstTriggeredAt":{"type":"integer","format":"int64","description":"告警首次触发时间，秒级 UNIX 时间戳。"},"lastUpdatedAt":{"type":"integer","format":"int64","description":"告警最后更新时间，秒级 UNIX 时间戳。"},"riskActivityTime":{"type":"integer","format":"int64","description":"告警关联的最新风险活动时间，秒级 UNIX 时间戳。"},"riskEngineId":{"type":"string","description":"生成该告警的 Risk Engine 唯一标识。"},"riskEngineName":{"type":"string","description":"生成该告警的 Risk Engine 名称。"},"riskLevel":{"type":"integer"},"riskLevelDescription":{"type":"string","description":"风险等级说明。"},"status":{"type":"integer","description":"告警状态。"},"statusDescription":{"type":"string","description":"告警状态说明。"},"riskEngineType":{"type":"integer","description":"生成该告警的 Risk Engine 类型。"},"riskDetail":{"type":"array","description":"告警详细信息。","items":{"oneOf":[{"$ref":"#/components/schemas/EntityRiskData"},{"$ref":"#/components/schemas/InteractionRiskData"},{"$ref":"#/components/schemas/LargeTransferData"},{"$ref":"#/components/schemas/HighFrequencyData"},{"$ref":"#/components/schemas/TransitAddressData"},{"$ref":"#/components/schemas/BlacklistInteractionData"},{"$ref":"#/components/schemas/ParticipantRiskData"},{"$ref":"#/components/schemas/RapidTransitData"}]}}}},"EntityRiskData":{"type":"object","properties":{"riskIndicator":{"type":"integer","description":"告警的风险指标。"},"riskIndicatorDescription":{"type":"string","description":"风险指标说明。"},"detail":{"type":"array","description":"补充信息。","items":{"type":"string"}}}},"InteractionRiskData":{"type":"object","properties":{"riskIndicator":{"type":"integer","description":"告警的风险指标。"},"riskIndicatorDescription":{"type":"string","description":"风险指标说明。"},"direction":{"type":"integer","description":"交互方向。"},"hop":{"type":"integer","description":"交互跳数。"},"exposureValue":{"type":"string","description":"交互的风险敞口值。"},"exposurePercent":{"type":"string","description":"交互的风险敞口比例。"},"contributions":{"type":"array","description":"交互的贡献来源。","items":{"type":"object","properties":{"detail":{"type":"string","description":"贡献来源详情。"},"address":{"type":"string","description":"贡献来源地址。"},"label":{"type":"string","description":"地址标签（如有）。"},"hop":{"type":"integer","description":"贡献来源跳数。"},"exposureValue":{"type":"string","description":"贡献来源的风险敞口值。"},"exposurePercent":{"type":"number","description":"贡献来源的风险敞口比例。"}}}}}},"LargeTransferData":{"type":"object","properties":{"transaction":{"type":"string","description":"交易哈希。"},"usdValue":{"type":"string","description":"该转账的美元价值。"},"direction":{"type":"integer","description":"该转账的方向。"},"timestamp":{"type":"integer","description":"该转账的时间戳。"},"token":{"type":"string","description":"代币地址。"},"tokenSymbol":{"type":"string","description":"代币符号。"},"tokenAmount":{"type":"string","description":"转移的代币数量。"}}},"HighFrequencyData":{"type":"object","properties":{"transactionCount":{"type":"integer","description":"高频交易序列中的交易数量。"},"duration":{"type":"integer","description":"高频交易序列的持续时间。"},"transactionList":{"type":"array","description":"高频交易序列中的交易列表。","items":{"$ref":"#/components/schemas/TransactionItem"}}}},"TransactionItem":{"$ref":"#/components/schemas/LargeTransferData"},"TransitAddressData":{"type":"object","properties":{"inTransaction":{"type":"string","description":"交易哈希。"},"inTimestamp":{"type":"string","description":"交易时间戳。"},"inUsdValue":{"type":"string","description":"交易对应的 USD 金额。"},"outTransaction":{"type":"string","description":"交易哈希。"},"outTimestamp":{"type":"string","description":"交易时间戳。"},"outUsdValue":{"type":"string","description":"交易对应的 USD 金额。"},"transitPercent":{"type":"string","description":"该交易的过路占比。"}}},"BlacklistInteractionData":{"type":"object","properties":{"transaction":{"type":"string","description":"交易哈希。"},"usdValue":{"type":"string","description":"交易对应的 USD 金额。"},"timestamp":{"type":"string","description":"交易时间戳。"},"direction":{"type":"integer","description":"交易方向。"},"fromAddress":{"type":"string","description":"发送方地址。"},"toAddress":{"type":"string","description":"接收方地址。"},"token":{"type":"string","description":"代币地址。"},"tokenSymbol":{"type":"string","description":"代币符号。"},"tokenAmount":{"type":"string","description":"转账代币数量。"}}},"ParticipantRiskData":{"type":"object","properties":{"address":{"type":"string","description":"参与方地址。"},"riskIndicator":{"type":"integer","description":"参与方风险指标。"},"riskIndicatorDescription":{"type":"string","description":"风险指标说明。"},"detail":{"type":"array","description":"补充信息。","items":{"type":"string"}}}},"RapidTransitData":{"type":"object","properties":{"proceedTransaction":{"type":"object","description":"交易数据。","$ref":"#/components/schemas/LargeTransferData"},"screenedTransaction":{"type":"object","description":"交易数据。","$ref":"#/components/schemas/LargeTransferData"}}}}},"paths":{"/customers/details/{customer_id}":{"get":{"tags":["客户"],"parameters":[{"name":"customer_id","in":"path","required":true,"schema":{"type":"string"},"description":"你自己的客户标识（例如你系统中的用户 ID 或账号编号）。"}],"responses":{"200":{"description":"成功响应","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"msg":{"type":"string"},"data":{"$ref":"#/components/schemas/CustomerResult"}}}}}}},"description":"获取客户级风险概览、关联实体与告警信息。","summary":"获取客户风险画像"}}}}
```
